Charge credits
curl --request POST \
--url https://api.cal.com/v2/credits/charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credits": 5,
"creditFor": "AI_AGENT",
"externalRef": "agent-thread-123-1711432800000"
}
'import requests
url = "https://api.cal.com/v2/credits/charge"
payload = {
"credits": 5,
"creditFor": "AI_AGENT",
"externalRef": "agent-thread-123-1711432800000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credits: 5,
creditFor: 'AI_AGENT',
externalRef: 'agent-thread-123-1711432800000'
})
};
fetch('https://api.cal.com/v2/credits/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Credits
Charge credits
Charge credits for an authenticated user. Uses externalRef for idempotency to prevent double-charging. Third-party OAuth tokens require the CREDITS_WRITE scope.
POST
/
v2
/
credits
/
charge
Charge credits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Number of credits to charge
Required range:
x >= 1Example:
5
What the credits are being charged for
Available options:
SMS, CAL_AI_PHONE_CALL, AI_AGENT Example:
"AI_AGENT"
Unique external reference for idempotency
Example:
"agent-thread-123-1711432800000"
Response
200 - application/json
The response is of type object.
Was this page helpful?
⌘I